qdisable(8B)

NAME
qdisable - prevent a queue from accepting jobs

SYNOPSIS
qdisable <destination> [<destination> ...]
qdisable --version

DESCRIPTION
The qdisable command prevents a queue from accepting batch jobs. Sets the value of the queue's enabled attribute to False. If the command is accepted, the queue no longer accepts Queue Job requests. Jobs already in the queue continue to be processed. You can use this to drain a queue of jobs. Required Permission
In order to execute qdisable, the user must have PBS Operator or Manager privilege.

OPTIONS

--version
    The qdisable command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
The qdisable command accepts one or more space-separated destination operands. The operands take any of the following forms: <queue name>

    Prevents specified queue at default server from accepting jobs.

@<server name>

    Prevents all queues at specified server from accepting jobs.

<queue name>@<server name>

    Prevents specified queue at specified server from accepting jobs.

To prevent all queues at the default server from accepting jobs, use the qmgr command:
Qmgr: set queue @default enabled=false

STANDARD ERROR
The qdisable command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all the operands

Greater than zero
    If the qdisable command fails to process any operand

SEE ALSO
The PBS Professional Administrator's Guide and the following manual pages: pbs_server(8B), qmgr(8B), and qenable(8B)